Decline Offer
curl --request POST \
--url https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/{applicationId}/offer/decline \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'x-carbon-key: <x-carbon-key>' \
--data '
{
"decline_reason": "HIGH_INTEREST"
}
'const options = {
method: 'POST',
headers: {
'x-carbon-key': '<x-carbon-key>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({decline_reason: 'HIGH_INTEREST'})
};
fetch('https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/{applicationId}/offer/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/{applicationId}/offer/decline"
payload := strings.NewReader("{\n \"decline_reason\": \"HIGH_INTEREST\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-carbon-key", "<x-carbon-key>")
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"message": "Offer declined"
}Loans
Decline Offer
Decline the loan offer on behalf of the customer.
POST
/
v1
/
loans
/
{applicationId}
/
offer
/
decline
Decline Offer
Overview
Declines the loan offer. The application status transitions toOFFER_DECLINED. A reason must be provided from the allowed enum.
Request
Method:POSTURL:
/v1/loans/:applicationId/offer/decline
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
x-carbon-key | Header | string | Yes | API key for authentication. |
applicationId | Path | string | Yes | Application ID. |
Request Body
{
"decline_reason": "HIGH_INTEREST"
}
| Field | Type | Required | Allowed values |
|---|---|---|---|
decline_reason | string | Yes | HIGH_INTEREST · OFFER_SMALL · REPAYMENT_PERIOD · CHECKING · OTHERS |
Response
200 OK
{
"status": "success",
"message": "Offer declined"
}
Error Responses
| Status | Message | Cause |
|---|---|---|
| 400 | decline_reason is required | Field missing |
| 400 | decline_reason must be one of: ... | Invalid enum value |
| 400 | Application not found | Invalid applicationId |
Authorizations
Provide your API key in the 'apikey' header.
Headers
Path Parameters
Body
application/json
Provide the required values for the request body.
Example:
"HIGH_INTEREST"
Response
200 - application/json
Successful response
The response is of type object.
⌘I